<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="domain.core-service.management.access.authorization.host-scoped-role" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="base-role,hosts"/>
        <elem name="addr-params" value="core-service,access,host-scoped-role"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="domain.core-service"/>
    </annotation>
    <refs>
        <ref feature="core-service.management.access.authorization"/>
        <ref feature="core-service.management"/>
    </refs>
    <params>
        <param name="base-role" stability="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="host-scoped-role" feature-id="true"/>
        <param name="access" feature-id="true" default="authorization"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="hosts" nillable="true" type="List&lt;String&gt;" stability="default"/>
    </params>
</feature-spec>